Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class MethodSelectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.runtime.metaclass.MethodSelectionException

    public class MethodSelectionException
    extends GroovyRuntimeException

This exception is thrown if the runtime is unable to select a method. This class builds the exception text when calling getMessage.
Note: This exception as for internal use only!

Authors:
  Jochen Theodorou

Since:
  Groovy 1.1

Constructor Summary
`MethodSelectionException(java.lang.String methodName, FastArray methods, java.lang.Class[] arguments)` Creates a new MethodSelectionException.

Method Summary
`java.lang.String` | `getMessage()`

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### MethodSelectionException

    public MethodSelectionException(java.lang.String methodName, FastArray methods, java.lang.Class[] arguments)

  Creates a new MethodSelectionException.
  Parameters:
    `methodName` - name of the method
    `methods` - a FastArray of methods
    `arguments` - the method call argument classes

Method Detail

### getMessage

    public java.lang.String getMessage()

Groovy Documentation